valac(1)

NAME
valac - compiler that translates Vala source code into C source and header files

SYNOPSIS
valac [OPTION...] FILE...

DESCRIPTION
Vala is a new programming language that aims to bring modern programming language features to GNOME developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C. valac, the Vala compiler, is a self-hosting compiler that translates Vala source code into C source and header files. It uses the GObject type system to create classes and interfaces declared in the Vala source code. It's also planned to generate GIDL files when gobject-introspection is ready.

OPTIONS

---help
    Show help options

---vapidir=DIRECTORY...
    Look for package bindings in DIRECTORY

---pkg=PACKAGE...
    Include binding for PACKAGE

---library=NAME
    Library name

--d, --directory=DIRECTORY
    Output directory

---version
    Display version number

FEATURES
Interfaces, Properties, Signals, Foreach, Lambda expressions, Type inference for local variables, Assisted memory management

PLANNED OR PARTIAL
Generics, Non-null types, Exception handling

HOMEPAGE AND BUG REPORT
http://live.gnome.org/Vala

AUTHORS
Jurg Billeter, Raffaele Sandrini. Man page written to conform with Debian by Marc-Andre Lureau.